Users could have multiple roles

2008-02-21 16:09 - Anonymous

Status: Closed Start date: 2008-02-21

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

The simple 1 user = 1 role is fine for basic deployments, but to enable more advanced issue workflows, it would be helpful to be able

to associate more than one role with a user.

For example, we could define the following roles:

Issue reporter (the user who raised the issue)

Triager

Developer

Reviewer

Tester

Manager

Most of these roles do not overlap (although the Manager role is clearly more privileged than the others).  However, in an Agile

environment, the Developer is also a Reviewer (for another Developer's issues), and may also be a Tester (for another

Developer's issues or for their own).

So, in that case the "developer" user needs to have the Developer, Reviewer and Tester roles.  The "team leader" user would likely

be a Developer, but also a Triager, a Reviewer and a Tester.

Related issues:

Related to Redmine - Feature #3383: one user in various roles for the same pr... Closed 2009-05-18

Has duplicate Redmine - Feature #4350: Multiple roles per user per project Closed 2009-12-06

Precedes Redmine - Feature #1018: Group or company feature. Closed 2008-04-08

Associated revisions

Revision 2726 - 2009-05-10 12:54 - Jean-Philippe Lang

Allows multiple roles on the same project (#706). Prerequisite for user groups feature.

History

#1 - 2008-04-02 20:44 - YA Chris

We'd like this functionality too... we're seeing the same situation.  Thanks!

#2 - 2008-11-05 13:29 - Horst Schwarz

This feature would be very needful to us (NSN) since our project members are often in multiple roles. Thanks in advance!

#3 - 2009-02-03 21:23 - James Robertson

Another vote for this feature :-)

At the moment we have to use combined roles like 'Developer-Tester' which makes workflow management quite complex/time-consuming (ie.

tracker-types x statii x roles!)

#4 - 2009-02-13 16:51 - J Cayetano Delgado

+1

#5 - 2009-02-13 17:18 - Denis Anokhin

Yet another vote for this very usefull feature! We need this very much!

#6 - 2009-02-14 20:23 - Jens Berlips
+1, currently we create roles such as "Project mgr and Key account mgr" instead of assigning two roles.

#7 - 2009-03-17 12:17 - Maciej Greń

- Assignee set to Jean-Philippe Lang

+1, we really need that feature.

First of all, thanks for the great work! Redmine is for sure the best Project Management Environment I had used. Currently we have around 50

projects, we are working using SCRUM, therefore some of the people are at the same moment SCRUM Master, Project Manager etc.

Is it planned to deliver multiple roles feature in upcoming versions?

#8 - 2009-05-18 20:30 - Jean-Philippe Lang

- Category changed from Issues to Permissions and roles

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Feature added in r2726.

#9 - 2009-05-19 22:22 - James Robertson

Awesome. Thanks :-)
